package com.sgbg18.mapper;

import com.sgbg18.entity.Employee_ztb18326;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 员工表(Employee)表数据库访问层
 *
 * @author makejava
 * @since 2020-12-25 13:41:22
 */
public interface EmployeeMapper_ztb18326 {
    /**
     * 通过ID查询单条数据
     *
     * @param empId 主键
     * @return 实例对象
     */
    Employee_ztb18326 queryById(Integer empId);
    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<Employee_ztb18326> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);
    /**
     * 通过实体作为筛选条件查询
     *
     * @param employee 实例对象
     * @return 对象列表
     */
    List<Employee_ztb18326> queryAll(Employee_ztb18326 employee);
    /**
     * 新增数据
     *
     * @param employee 实例对象
     * @return 影响行数
     */
    int insert(Employee_ztb18326 employee);
    /**
     * 修改数据
     *
     * @param employee 实例对象
     * @return 影响行数
     */
    int update(Employee_ztb18326 employee);
    /**
     * 通过主键删除数据
     *
     * @param empId 主键
     * @return 影响行数
     */
    int deleteById(Integer empId);

}